Hi all. This post is mostly intended for packagers and distributions. If you are a Lancelot user, and your distribution ships it unpatched with Qt 4.5, thus rendering it rather unusable, contact your distro and pass the link to this post.

Thanks to the Gentoo guys Markos Chandras and Robert Piasek there now exists a patch for Lancelot, the KDE 4.2 branch, which makes it work with Qt 4.5 (and 4.4.4 I guess) the way it was supposed to, and the way the trunk version works now. It does need testing, but that is what packagers are for ;)

The patch can be found in this Gentoo bug report:

http://bugs.gentoo.org/258758

or you can use the direct link to the patch:

http://bugs.gentoo.org/attachment.cgi?id=182135

Cheerio!


You can support my work on , or you can get my book Functional Programming in C++ at if you're into that sort of thing.